Jifty::View::Declare::Handler(3)

NAME
Jifty::View::Declare::Handler - The Jifty view handler for Template::Declare

METHODS

  new
Initialize "Template::Declare". Passes all arguments to Template::Declare->init

  config

  show TEMPLATENAME
Render a template. Expects that the template and any jifty methods called internally will end up being returned as a scalar, which we then print to STDOUT

  template_exists TEMPLATENAME
Given a template name, returns a valid template path (either "TEMPLATENAME" or "TEMPLATENAME/index.html") if the template is in any of our Template::Declare template libraries. Otherwise returns false.